Name:           gummi
Version:        0.5.5
Release:        4%{?dist}
Summary:        A simple LaTeX editor

Group:          Applications/Publishing
License:        MIT
URL:            http://gummi.midnightcoding.org
Source0:        http://dev.midnightcoding.org/redmine/attachments/download/111/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  gtksourceview2-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  gtkspell-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires:       texlive-latex


%description
Gummi is a LaTeX editor written in the Python programming language using
the PyGTK interface toolkit. It was designed with simplicity and the novice
user in mind, but also offers features that speak to the more advanced user.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{name}
desktop-file-install                                 \
    --remove-key="Version"                           \
    --add-category="Publishing;"                     \
    --dir=%{buildroot}%{_datadir}/applications       \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_mandir}/man*/*.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/


%changelog
* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.5.5-4
- Rebuild (poppler-0.16.3)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.5.5-2
- rebuild (poppler)

* Mon Dec 27 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.5-1
- Updated to new upstream version 0.5.5

* Fri Nov 12 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.3-2
- Texlive added

* Mon Nov 01 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.3-1
- BRs adjusted
- Updated to new upstream version 0.5.3

* Sat Oct 23 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.2-1
- Updated to new upstream version 0.5.2

* Sun Oct 10 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.1-1
- Updated to new upstream version 0.5.1

* Sat Sep 25 2010 Fabian Affolter <fabian@bernewireless.net> - 0.5.0-1
- New BRs added
- It's no longer a python package, no longer noarch
- Updated to new upstream version 0.5.0

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 02 2010 Fabian Affolter <fabian@bernewireless.net> - 0.4.8-1
- Updated to new upstream version 0.4.8

* Fri Mar 05 2010 Fabian Affolter <fabian@bernewireless.net> - 0.4.5-1
- Added man page
- Updated to new upstream version 0.4.5

* Mon Dec 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4.2-2
- Changed requirements and BR
- Added license file to doc
- Changed group

* Mon Nov 02 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4.2-1
- Remove shebangs 
- Updated to new upstream version 0.4.2

* Mon Oct 12 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3-1.b
- Initial spec for Fedora
